@echo off
rem //////////////////////////////////////////////////////////
rem Driver Install Batch (switch 32bit/64bit automatically )
rem //////////////////////////////////////////////////////////

rem Switch Directory by OS type (x86/AMD64)
if "%PROCESSOR_ARCHITECTURE%"=="x86" (
	echo "Install for 32bit Windows"
	cd .\i386\
	goto exec
)
if "%PROCESSOR_ARCHITECTURE%"=="AMD64" (
	echo "Install for 64bit Windows (x64)"
	cd .\amd64\
	goto exec
)
if "%PROCESSOR_ARCHITECTURE%"=="IA64" (
	echo "IA64 not support"
	pause
	goto end
)
if "%PROCESSOR_ARCHITECTURE%"=="" (
	echo "Unknown Processor Architecture, so use 32bit installer temporarilly."
	cd .\i386\
	goto exec
)

:exec
rem Exec Driver Installer (if silent mode, add /S)
.\DPInst.exe /PATH ..

:end
